Get message templates
GET https://www.lightsms.com/external/get/template.php
Retrieve all saved message templates.
Templates allow you to reuse frequently sent messages. This endpoint returns all templates you've created in your account.
Authorization​
This endpoint requires authentication using login, signature, and timestamp parameters.
See the Authentication documentation for more details.
AUTHORIZATION: HTTP
REQUEST
Base URL
https://www.lightsms.com
Query Parameters
loginREQUIREDYour LightSMS account login
signatureREQUIREDRequest signature for authentication
timestampREQUIREDUTC timestamp of the request
returnResponse format (json or xml)
RESPONSE
Templates retrieved successfully
{
"welcome": {
"template": "Welcome #first-name#! Thank you for subscribing.",
"up_time": "2024-08-28 15:22:25"
},
"reminder": {
"template": "Hi #first-name#, you have an appointment today at 3 PM.",
"up_time": "2024-08-28 15:39:07"
}
}